structure NDL = 

struct

structure A = AbstractSyntax

fun loop() =  Drive.test() handle 
                               ErrorMsg.ParseError((l,p),str) =>
                                  (print("\nParsing error, "^
                                         A.posToString({line=l,pos=p})^": "^str^".\n");loop())
                             | A.LexError(str,SOME(pos)) => 
                                  (print("\nLexical error, "^
                                         A.posToString(pos)^": "^str^".\n");loop())
                             | A.LexError(str,NONE) => 
                                  (print("\nLexical error at end of file: "^str^".\n");
                                   loop())
                             | Semant.EvalError(msg) => (print("\n"^msg^"\n");loop())

fun run() = (loop();())

end; 

